/*{
    "CATEGORIES": [
        "Geometry Adjustment"
    ],
    "CREDIT": "ProjectileObjects",
    "DESCRIPTION": "ISF crop adjustment created to replace VIDVOX Quartz Composer FX",
    "INPUTS": [
        {
            "NAME": "inputImage",
            "TYPE": "image"
        },
        {
            "DEFAULT": 0,
            "NAME": "Top",
            "TYPE": "float"
        },
        {
            "DEFAULT": 0,
            "NAME": "Bottom",
            "TYPE": "float"
        },
        {
            "DEFAULT": 0,
            "NAME": "Left",
            "TYPE": "float"
        },
        {
            "DEFAULT": 0,
            "NAME": "Right",
            "TYPE": "float"
        }
    ],
    "ISFVSN": "2"
}
*/

void main() {
    // Get the texture coordinates
    vec2 uv = isf_FragNormCoord;

    // Define variables to control cropping for each side
    float topCrop = Top;
    float bottomCrop = Bottom;
    float leftCrop = Left;
    float rightCrop = Right;

    // Discard fragments outside the cropping area
    if (uv.x < leftCrop || uv.x > 1.0 - rightCrop || uv.y < bottomCrop || uv.y > 1.0 - topCrop) {
        discard;
    }

    // Sample the input image with adjusted coordinates
    vec4 color = IMG_NORM_PIXEL(inputImage, uv);

    // Set the output color
    gl_FragColor = color;
}
